[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.ReadWordBE

Read a Word from the stream, big endian

## Declaration

Source position: streamex.pp line 190

`function TStreamHelper.ReadWordBE: Word;`

## Function result

The word value

## Description

ReadWordBE reads a word from the stream, big-endian (MSB first).

## Errors

If not enough data is available an EReadError exception is raised.

## See also

TStreamHelper.ReadDWordBE |  | Read a DWord from the stream, big endian
TStreamHelper.ReadQWordBE |  | Read a QWord from the stream, big endian
TStreamHelper.WriteWordBE |  | Write a word value, big endian